#!/bin/sh

##########################################
# update hc firmware                     #
##########################################
if [ -f ./hc.hex ]
then
        echo "Loading newest HC driver (kernel module)..."
        rmmod /lib/modules/ap_hc_driver.ko
        insmod /lib/modules/ap_hc_driver.ko
        echo "Updating HC..."
	chmod 0777 ./update_hc.bin
	./update_hc.bin ./hc.hex /dev/aphc
	rm ./hc.hex
fi
echo "done (HC update)"
cd $(pwd)

